Subject: Re: bug#40759: 26.3; Update Leuven-theme in Emacs dev trunk

From: Eli Zaretskii <[email-masked]>
Date: Mon, 04 May 2020 17:58:24 +0300

> From: Stefan Kangas <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Fab Rice <[email-masked]>,
>   [email-masked],  Stefan Monnier <[email-masked]>,
>   [email-masked]
> Date: Mon, 04 May 2020 14:35:34 +0200
> 
> > I don't think it's a major problem, personally: these variables serve a purpose,
> > and they don't hurt anybody by remaining defined.
> >
> > Same with functions.
> 
> I agree with that conclusion, too.  I think it's fine that a theme
> does this.  Maybe we could file a wishlist level request to add the
> makunbound functionality if we think it's worth working on.
> 
> Is there anything left to discuss, or should I go ahead and push this?
> 
> Also, I think we would need Eli to decide if this should go to
> emacs-27 or master.  Thanks.

Frankly, I'm a bit afraid that such a significant deviation from the
practice of themes should be added to the release branch now.
Stefan's opinion notwithstanding, there can always be something we are
overlooking.